#!/bin/bash

PPATH="/etc/rc.d";

start(){
    $PPATH/rc.thor-router start
    sleep 2;
    $PPATH/rc.thor-notifier start    
    $PPATH/rc.thor-auth-server start
    $PPATH/rc.thor-arp_finder start    
    $PPATH/rc.thor-auth-deconnector start
    echo
    echo "Started Thor Software";
    echo
}

stop(){
    $PPATH/rc.thor-router stop
    sleep 2;
    $PPATH/rc.thor-notifier stop
    $PPATH/rc.thor-auth-server stop
    $PPATH/rc.thor-arp_finder stop    
    $PPATH/rc.thor-auth-deconnector stop
    echo
    echo "Stoped Thor Software";
    echo
}

restart(){
    stop
    start
}


# See how we were called.
case "$1" in
    start)
        start
        ;;
    stop)
        stop
        ;;
    status)
        status $program
        ;;
    restart)
        restart
        ;;
    *)
        echo $"Usage: $0 {start|stop|status|restart}"
        RETVAL=1
esac

exit $RETVAL
